﻿@model VirtualCarGarage.MVC.Models.OrderCreateViewModel

@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">Create Order</h1>
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="ServiceHistoryId" class="control-label"></label>
                <select asp-for="ServiceHistoryId" class="form-control" asp-items="ViewBag.ServiceHistoryId"></select>
                <span asp-validation-for="ServiceHistoryId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="OrderDate" class="control-label"></label>
                <input asp-for="OrderDate" class="form-control" />
                <span asp-validation-for="OrderDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create Order" class="btn btn-success" />
                <a asp-action="Index" class="btn btn-primary">Back</a>
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}